﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddAPopup.aspx.cs" Inherits="CSSamples.Samples.AddAPopup" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Add a Popup</title>
    <style type="text/css">
        .title
        {
            font-size: 12px;
            font-weight: bolder;
            line-height: 25px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="Map1_Script" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Width="640" Height="480">
        </cc1:Map>
    </div>
    <div>
        <asp:ImageButton ID="buttonNormal" runat="server" ToolTip="Normal Mode" ImageUrl="~/theme/default/samplepic/Cursor.png"
            OnClientClick="Map1.SetDrawMode('Normal');return false;" />
        <asp:ImageButton ID="buttonDrawRectangle" runat="server" ToolTip="Draw Rectangle"
            ImageUrl="~/theme/default/samplepic/rectangle28.png" OnClientClick="Map1.SetDrawMode('Rectangle');return false;" />
    </div>
    </form>
</body>
</html>
