using System;
using System.Text;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class AddAPopup : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapUnit = GeographyUnit.Meter;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                worldMapKitOverlay.Projection = WorldMapKitProjection.SphericalMercator;
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                Map1.MapTools.OverlaySwitcher.Enabled = true;

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                markerOverlay.DragMode = MarkerDragMode.Drag;
                Marker marker1 = new Marker(-8922952.93266, 2984101.58384, new WebImage(21, 25, -10.5f, -25f));
                marker1.Popup.ContentHtml = "<div style='color:red'>red</div>";
                markerOverlay.Markers.Add(marker1);
                Map1.CustomOverlays.Add(markerOverlay);
            }
        }
    }
}
